Bug 1122939 - Review Request: rubygem-jquery-ui-rails - jQuery UI packaged for the Rails asset pipeline
Summary: Review Request: rubygem-jquery-ui-rails - jQuery UI packaged for the Rails as...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 12:55 UTC by Josef Stribny
Modified: 2016-01-04 05:53 UTC (History)
3 users (show)

Fixed In Version: rubygem-jquery-ui-rails-5.0.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-24 14:13:36 UTC
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Josef Stribny 2014-07-24 12:55:46 UTC
Spec URL: http://data-strzibny.rhcloud.com/obs/rubygem-jquery-ui-rails.spec
SRPM URL: http://data-strzibny.rhcloud.com/obs/rubygem-jquery-ui-rails-5.0.0-1.fc22.src.rpm
Description: jQuery UI's JavaScript, CSS, and image files packaged for the Rails 3.1+ asset pipeline.
Fedora Account System Username: jstribny

Comment 1 Eduardo Mayorga 2014-07-26 04:02:51 UTC
Before going any further, please add Requires: rubygems. It's a must.

Comment 2 Josef Stribny 2014-07-28 07:00:46 UTC
> Before going any further, please add Requires: rubygems. It's a must.

We have now auto-generated requires for f21 and higher. So actually it's quite the opposite.

Comment 3 Mamoru TASAKA 2014-09-12 18:09:17 UTC
Well, as I don't know at all how to use this gem,
just a formal review:

* Using %license
  - Now using %license for license files is preferred (still not
    in guideline, but already determined):
    https://lists.fedoraproject.org/pipermail/packaging/2014-May/010157.html
    https://fedorahosted.org/fpc/ticket/411

* README file
  - _I_ would prefer to move "README" file to main package, because
    it is "README" <not a blocker>

I will review the rest ones in this weekend.

Comment 5 Mamoru TASAKA 2014-09-21 15:50:28 UTC
Okay, approving.

------------------------------------------------
  This package (rubygem-jquery-ui-rails) is
  APPROVED by mtasaka
------------------------------------------------

Comment 6 Josef Stribny 2014-09-22 05:33:35 UTC
New Package SCM Request
=======================
Package Name: rubygem-jquery-ui-rails
Short Description: jQuery UI packaged for the Rails asset pipeline
Upstream URL: https://github.com/joliss/jquery-ui-rails
Owners: jstribny
Branches: f21
InitialCC:

Comment 7 Gwyn Ciesla 2014-09-23 12:15:29 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.